summaryrefslogtreecommitdiff
path: root/tools/check_for_upgrade.sh
diff options
context:
space:
mode:
authorTuowen Zhao <ztuowen@gmail.com>2020-07-25 21:01:02 -0600
committerTuowen Zhao <ztuowen@gmail.com>2020-07-25 21:01:02 -0600
commit1edd2c43b12f9f2c2ef04cfa0428db0f7fc0aa7c (patch)
treee6aeb9029206948167619f4dc1c2ec42c4040ab4 /tools/check_for_upgrade.sh
parent59344b5c59b7190ad3b14a2e8e02db8b5559141b (diff)
parent95218372402afc9aeafc89c0984310387ce79599 (diff)
downloadzsh-1edd2c43b12f9f2c2ef04cfa0428db0f7fc0aa7c.tar.gz
zsh-1edd2c43b12f9f2c2ef04cfa0428db0f7fc0aa7c.tar.bz2
zsh-1edd2c43b12f9f2c2ef04cfa0428db0f7fc0aa7c.zip
Merge remote-tracking branch 'origin/master'
Diffstat (limited to 'tools/check_for_upgrade.sh')
-rw-r--r--tools/check_for_upgrade.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/check_for_upgrade.sh b/tools/check_for_upgrade.sh
index c91431c25..cadd5fe49 100644
--- a/tools/check_for_upgrade.sh
+++ b/tools/check_for_upgrade.sh
@@ -51,7 +51,7 @@ function update_ohmyzsh() {
# The return status from the function is handled specially. If it is zero, the signal is
# assumed to have been handled, and execution continues normally. Otherwise, the shell
# will behave as interrupted except that the return status of the trap is retained.
- trap "rm -rf '$ZSH/log/update.lock'; return 1" EXIT INT QUIT
+ trap "command rm -rf '$ZSH/log/update.lock'; return 1" EXIT INT QUIT
# Create or update .zsh-update file if missing or malformed
if ! source "${ZSH_CACHE_DIR}/.zsh-update" 2>/dev/null || [[ -z "$LAST_EPOCH" ]]; then